Community
Arnold for Maya Forum
Rendering with Arnold in Maya using the MtoA plug-in.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Deadline Custom AMI : unable to load dynamic library

1 REPLY 1
Reply
Message 1 of 2
tonyUXRWK
454 Views, 1 Reply

Deadline Custom AMI : unable to load dynamic library

Hi everyone,

I'm having an issue using a custom image I created for Deadline instances (created following this link).

I wanted to install Arnold 5.0.2.4 and Alshaders plugin, both the installations went well using WinSCP but when I tried rendering with this custom image applied on instances, during nodes initialization, Arnold was not able to dynamically load Alshaders nodes.

I had warning for each .so :

1610-plugins-loading-issue.jpg

The installations are the same as on my workstation but when I try via command line to kick -nodes, the results are not the same, see custom-image.txt vs my-station.txt.

I know most of Alshaders nodes are obsolete since Arnold 5 but some of them are still useful to me (e.g. AlFractal, AlCellNoise).

On my station when rendering, nodes initialization shows that whereas every other .dll uses Arnold 5.0.2.4, Alshaders's .dll uses Arnold 5.0.0.0.

Is there a way to "force-loading" those nodes during initializaton or do I need to first install Arnold 5.0.0.0 then 5.0.2.4 ?

What can I do to correctly make use of Alshaders nodes on Deadline instances ?

Regards,

Labels (5)
1 REPLY 1
Message 2 of 2
Stephen.Blair
in reply to: tonyUXRWK

I would run ldd on those alshader so files

and then maybe strace the loading sequence



// Stephen Blair
// Arnold Renderer Support

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums